%global _with_test 0

Summary:	High-performance memory object caching system
Name:		memcached
Version:	1.4.15
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://memcached.org/
Source0:	http://memcached.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	memcached.init
Source2:	memcached.sysconfig
Source3:	memcached.logrotate
Source4:	memcached@.service
Patch0:		memcached-1.4.15-CVE-2011-4971.diff
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:	cyrus-sasl sasl-plug-plain sasl-plug-crammd5
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libevent-devel
BuildRequires:	libsasl-devel cyrus-sasl sasl-plug-plain sasl-plug-crammd5
# Required by test suite
BuildRequires:	sasl-plug-sasldb
BuildRequires:	libxslt-proc
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
memcached is a flexible memory object caching daemon designed to alleviate
database load in dynamic web applications by storing objects in memory. It's
based on libevent to scale to any size needed, and is  specifically optimized
to avoid swapping and always use non-blocking I/O.

%package	devel
Summary:	Files needed for development using memcached protocol
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description	devel
Install memcached-devel if you are developing C/C++ applications that require
access to the memcached binary include files.

%prep
%setup -q
%patch0 -p1

%build
%serverbuild

%configure2_5x	
#--enable-sasl
%make
make docs

%if %_with_test
%check
export PATH="$PATH:/sbin:/usr/sbin"
# whitespace tests fail locally on fedpkg systems now that they use git
rm -f t/whitespace.t

# Parts of the test suite only succeed as non-root.
if [ `id -u` -ne 0 ]; then
  # remove failing test that doesn't work in
  # build systems
  rm -f t/daemonize.t
fi
make test
%endif

%install
%makeinstall_std

install -m755 %{SOURCE1} -D %{buildroot}%{_initrddir}/%{name}
install -m644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m644 %{SOURCE3} -D %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -m755 scripts/%{name}-tool %{buildroot}%{_bindir}/%{name}-tool

install -m755 %{SOURCE4} -D %{buildroot}%{_unitdir}/%{name}@.service
ln -s %{name}@.service %{buildroot}%{_unitdir}/%{name}.service

install -d %{buildroot}/var/run/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%pre
%_pre_useradd %{name} /dev/null /bin/false

%postun
%_postun_userdel %{name}

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS* COPYING ChangeLog NEWS 
%doc doc/CONTRIBUTORS doc/protocol.txt doc/readme.txt
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(755,%{name},%{name}) %dir %{_localstatedir}/run/%{name}
%{_bindir}/%{name}-tool
%{_bindir}/%{name}
%{_initrddir}/%{name}
%{_unitdir}/%{name}*.service
%{_mandir}/man1/%{name}.1*

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h




%changelog
* Fri Nov 22 2013 oden <oden> 1.4.15-1.mga2
+ Revision: 552291
- 1.4.15
- P0: security fix for CVE-2011-4971

  + tmb <tmb>
    - Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 colin <colin> 1.4.11-2.mga2
+ Revision: 227942
- Bring sysconfig file and initscript into sync
- Add systemd (template) unit

* Tue Jan 31 2012 dmorgan <dmorgan> 1.4.11-1.mga2
+ Revision: 203721
- New version 1.4.11
  Disable sasl support ( need to fix build )
  Disable tests ( need to be fixed )

* Mon Jan 24 2011 erwan <erwan> 1.4.5-6.mga1
+ Revision: 37960
- imported package memcached

